Package javax.validation

# Interface ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder

Enclosing interface:
  `ConstraintValidatorContext.ConstraintViolationBuilder`

public static interface ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`ConstraintValidatorContext`
`addConstraintViolation()`
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext`
`atIndex(Integer index)`
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext`
`atKey(Object key)`

## Method Details

### atKey

ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext atKey(Object key)

### atIndex

ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext atIndex(Integer index)

### addConstraintViolation

ConstraintValidatorContext addConstraintViolation()